org.rrd4j.core

## Class RrdString<U extends RrdUpdater<U>>

- java.lang.Object
- - org.rrd4j.core.RrdPrimitive<U>
  - - org.rrd4j.core.RrdString<U>

- Type Parameters:
    `U` - The type of RrdUpdater this primitive belongs to

      class RrdString<U extends RrdUpdater<U>>
      extends RrdPrimitive<U>

  RRD primitive type for handling string values.

  This class provides methods to store and retrieve string values in RRD files. It includes caching support for performance optimization when the backend allows it.

- - ### Field Summary

    - ### Fields inherited from class org.rrd4j.core.RrdPrimitive

      `RRD_DOUBLE, RRD_INT, RRD_LONG, RRD_PRIM_SIZES, RRD_STRING, STRING_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RrdString(RrdUpdater<U> updater)`
    `RrdString(RrdUpdater<U> updater, boolean isConstant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) String` | `get()` Gets the string value.
    `(package private) void` | `set(String value)` Sets the string value.

    - ### Methods inherited from class org.rrd4j.core.RrdPrimitive

      `isCachingAllowed, readBytes, readDouble, readDouble, readDouble, readEnum, readInt, readLong, readString, writeBytes, writeDouble, writeDouble, writeDouble, writeDouble, writeEnum, writeInt, writeLong, writeString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RrdString

          RrdString(RrdUpdater<U> updater)

    - #### RrdString

          RrdString(RrdUpdater<U> updater,
                    boolean isConstant)

  - ### Method Detail

    - #### get

          String get()
              throws IOException

      Gets the string value.
      Returns:
        the string value
      Throws:
        `IOException` - if an I/O error occurs

    - #### set

          void set(String value)
            throws IOException

      Sets the string value.
      Parameters:
        `value` - the string value to set
      Throws:
        `IOException` - if an I/O error occurs